"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
function cstToAst(cst, blockLevel = 0) {
    const { children } = cst;
    console.log(cst.name, children);
    switch (cst.name) {
        case 'global':
            return {
                type: 'Global',
                blockLevel,
                packages: children.createPackage
                    ? children.createPackage.map((p) => cstToAst(p, blockLevel))
                    : null,
            };
        case 'createPackage':
            return { type: 'Global', blockLevel };
        default:
            console.warn(`Unhandeled category: ${cst.name}`);
    }
}
exports.default = cstToAst;
//# sourceMappingURL=index.js.map