"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const chevrotain_1 = require("chevrotain");
const specialIdentifiers_1 = require("./specialIdentifiers");
const strings_1 = require("./strings");
// does not work because identifier will always be this token
// const AnyValue = createToken({
//   name: 'AnyValue',
//   pattern: /(?:[a-zA-Z0-9']|\$\$)[a-zA-Z_.()+\-*/<>|,= ]*/,
// });
// createToken is used to create a TokenType
// The Lexer's output will contain an array of token Objects created by metadat
const Identifier = (0, chevrotain_1.createToken)({
    name: 'Identifier',
    pattern: /[a-zA-Z][a-zA-Z0-9_$]*/,
    longer_alt: strings_1.default.find((t) => t.name === 'AlternateQuotingMechanism'),
    categories: [specialIdentifiers_1.KwIdentifier],
});
exports.default = Identifier;
//# sourceMappingURL=Identifier.js.map