"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const chevrotain_1 = require("chevrotain");
const Identifier_1 = require("./Identifier");
const LoopKw = (0, chevrotain_1.createToken)({
    name: 'LoopKw',
    pattern: /loop/i,
    longer_alt: Identifier_1.default,
});
const DoubleDot = (0, chevrotain_1.createToken)({
    name: 'DoubleDot',
    pattern: /\.\./,
    longer_alt: Identifier_1.default,
});
const WhileKw = (0, chevrotain_1.createToken)({
    name: 'WhileKw',
    pattern: /while/i,
    longer_alt: Identifier_1.default,
});
const GotoKw = (0, chevrotain_1.createToken)({
    name: 'GotoKw',
    pattern: /goto/i,
    longer_alt: Identifier_1.default,
});
exports.default = [LoopKw, DoubleDot, WhileKw, GotoKw];
//# sourceMappingURL=loops.js.map