"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const chevrotain_1 = require("chevrotain");
const Identifier_1 = require("./Identifier");
const Equals = (0, chevrotain_1.createToken)({
    name: 'Equals',
    pattern: /=/,
    longer_alt: Identifier_1.default,
});
const UnEquals1 = (0, chevrotain_1.createToken)({
    name: 'UnEquals1',
    pattern: /!=/,
    longer_alt: Identifier_1.default,
});
const UnEquals2 = (0, chevrotain_1.createToken)({
    name: 'UnEquals2',
    pattern: /<>/,
    longer_alt: Identifier_1.default,
});
const UnEquals3 = (0, chevrotain_1.createToken)({
    name: 'UnEquals3',
    pattern: /~=/,
    longer_alt: Identifier_1.default,
});
const BiggerEquals = (0, chevrotain_1.createToken)({
    name: 'BiggerEquals',
    pattern: />=/,
    longer_alt: Identifier_1.default,
});
const Bigger = (0, chevrotain_1.createToken)({
    name: 'Bigger',
    pattern: />/,
    longer_alt: Identifier_1.default,
});
const SmallerEquals = (0, chevrotain_1.createToken)({
    name: 'SmallerEquals',
    pattern: /<=/,
    longer_alt: Identifier_1.default,
});
const Smaller = (0, chevrotain_1.createToken)({
    name: 'Smaller',
    pattern: /</,
    longer_alt: Identifier_1.default,
});
const NotKw = (0, chevrotain_1.createToken)({
    name: 'NotKw',
    pattern: /not/i,
    longer_alt: Identifier_1.default,
});
const LikeKw = (0, chevrotain_1.createToken)({
    name: 'LikeKw',
    pattern: /like/i,
    longer_alt: Identifier_1.default,
});
exports.default = [
    Equals,
    UnEquals1,
    UnEquals2,
    UnEquals3,
    BiggerEquals,
    Bigger,
    SmallerEquals,
    Smaller,
    NotKw,
    LikeKw,
];
//# sourceMappingURL=relationalOperators.js.map