"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const chevrotain_1 = require("chevrotain");
const Identifier_1 = require("./Identifier");
const StartTransactionKw = (0, chevrotain_1.createToken)({
    name: 'StartTransactionKw',
    pattern: /start transaction/i,
    longer_alt: Identifier_1.default,
});
const CommitKw = (0, chevrotain_1.createToken)({
    name: 'CommitKw',
    pattern: /commit/i,
    longer_alt: Identifier_1.default,
});
const RollbackKw = (0, chevrotain_1.createToken)({
    name: 'RollbackKw',
    pattern: /rollback/i,
    longer_alt: Identifier_1.default,
});
exports.default = [StartTransactionKw, CommitKw, RollbackKw];
//# sourceMappingURL=transaction.js.map