"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const syntaxHelper_1 = require("../components/tokenDictionary/syntaxHelper");
const recoveryParser_1 = require("../components/mainParser/recoveryParser");
(0, recoveryParser_1.default)('begin null; end;', true);
const map = (0, syntaxHelper_1.getSyntaxCategoryMap)();
for (const [key, value] of map.entries()) {
    const patterns = value.map((item) => item.pattern.source);
    const patternString = `\\\\b(${patterns.join('|')})\\\\b`;
    switch (key) {
        case syntaxHelper_1.SyntaxCategory.DataType:
            console.log('DataType', patternString);
    }
}
// console.log('wat', map.get(SyntaxCategory.DataType));
// for (const key in Object.keys(map)) {
//   console.log('key', key);
// }
//# sourceMappingURL=textMateHelper.js.map