import { VariableDeclarationReturn } from './helperTypes';
import { GlobalObjects, PackageDef, TypeDef } from './types';
declare const BaseCstVisitor: new (...args: any[]) => import("chevrotain").ICstVisitor<any, any>;
declare class PlSqlInterpreter extends BaseCstVisitor {
    constructor();
    global(ctx: any): GlobalObjects;
    createPackage(ctx: any): PackageDef;
    variableDeclaration(ctx: any): VariableDeclarationReturn | null;
    value(ctx: any): string;
    typeDefiniton(ctx: any): TypeDef;
    objectDeclaration(ctx: any): any;
    funcSpec(ctx: any): any;
    procSpec(ctx: any): any;
    packageObjSpec(ctx: any): any;
    argumentList(ctx: any): any[];
}
declare const plSqlInterpreter: PlSqlInterpreter;
export default plSqlInterpreter;
