import { TokenType } from 'chevrotain';
export declare enum SyntaxCategory {
    Keyword = 1,
    DataType = 2
}
export declare type SyntaxToken = {
    name: string;
    pattern: RegExp;
};
export declare function categorizeSyntaxToken(category: SyntaxCategory, token: TokenType): void;
export declare function getSyntaxCategoryMap(): Map<SyntaxCategory, SyntaxToken[]>;
