"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const chevrotain_1 = require("chevrotain");
const Identifier_1 = require("./Identifier");
const ExecuteImmediateKw = (0, chevrotain_1.createToken)({
    name: 'ExecuteImmediateKw',
    pattern: /execute immediate/i,
    longer_alt: Identifier_1.default,
});
const UsingKw = (0, chevrotain_1.createToken)({
    name: 'UsingKw',
    pattern: /using/i,
    longer_alt: Identifier_1.default,
});
const ReturningKw = (0, chevrotain_1.createToken)({
    name: 'ReturningKw',
    pattern: /returning/i,
    longer_alt: Identifier_1.default,
});
exports.default = [ExecuteImmediateKw, UsingKw, ReturningKw];
//# sourceMappingURL=dynSql.js.map