"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const chevrotain_1 = require("chevrotain");
const Identifier_1 = require("./Identifier");
const PragmaKw = (0, chevrotain_1.createToken)({
    name: 'PragmaKw',
    pattern: /pragma/i,
    longer_alt: Identifier_1.default,
});
const AutonomousTransactionKw = (0, chevrotain_1.createToken)({
    name: 'AutonomousTransactionKw',
    pattern: /autonomous_transaction/i,
    longer_alt: Identifier_1.default,
});
const ExceptionInitKw = (0, chevrotain_1.createToken)({
    name: 'ExceptionInitKw',
    pattern: /exception_init/i,
    longer_alt: Identifier_1.default,
});
const RestrictReferencesKw = (0, chevrotain_1.createToken)({
    name: 'RestrictReferencesKw',
    pattern: /restrict_references/i,
    longer_alt: Identifier_1.default,
});
const SeriallyReusableKw = (0, chevrotain_1.createToken)({
    name: 'SeriallyReusableKw',
    pattern: /serially_reusable/i,
    longer_alt: Identifier_1.default,
});
exports.default = [
    PragmaKw,
    AutonomousTransactionKw,
    ExceptionInitKw,
    RestrictReferencesKw,
    SeriallyReusableKw,
];
//# sourceMappingURL=pragma.js.map