"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const path = require("path");
const fs_1 = require("fs");
const recoveryParser_1 = require("../src/components/mainParser/recoveryParser");
const directoryPath = path.join(__dirname, 'files');
const filesArray = (0, fs_1.readdirSync)(directoryPath);
filesArray.forEach((file) => {
    const content = (0, fs_1.readFileSync)(path.join(directoryPath, file)).toString();
    test(file, () => {
        const result = (0, recoveryParser_1.default)(content, false);
        const { errors } = result;
        expect(errors).toStrictEqual([]);
    });
});
//# sourceMappingURL=testfiles.test.js.map